%define		_class		SOAP
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	0.13.0
Release:	2
Summary:	Client/Server for PHP
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/SOAP/
Source0:	http://download.pear.php.net/package/SOAP-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-bcmath
Requires:	php-pear-HTTP_Request
Requires:	php-pear-Net_URL
Requires:	php-pear-Net_DIME
BuildArch:	noarch
BuildRequires:	php-pear

%description
Implementation of SOAP protocol and services.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean



%files
%doc %{upstream_name}-%{version}/example
%{_datadir}/pear/%{_class}
%{_datadir}/pear/tools/genproxy.php
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.13.0-2
+ Revision: 28067bf
- MassBuild#440: Increase release tag


